Polyrankdocs
Markets

GET /v1/market/{conditionId}/resolution-risk

Dispute-risk score (Low/Elevated/High + reasons) + live UMA settlement state.

GET
/v1/market/{conditionId}/resolution-risk

Dispute-risk score (Low/Elevated/High + reasons) + live UMA settlement state.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Path Parameters

conditionId*string

Response Body

application/json

curl -X GET "https://example.com/v1/market/string/resolution-risk"
{  "condition_id": "string",  "level": "low",  "score": 0,  "reasons": [    "string"  ],  "version": "string",  "ever_disputed": true,  "dispute_events": -9007199254740991,  "adapter": "v2",  "settlement": {    "state": "none",    "proposed_outcome": "YES",    "proposer": "string",    "disputer": "string",    "bond_usdc": 0,    "liveness_ends": "string",    "settleable": true,    "in_dvm": true,    "polled_at": "string"  }}